%define         debug_package %{nil}

Name:           gnome-do-plugins
Version:        0.8.2
Release:        1%{?dist}
Summary:        Plugins for GNOME Do
Group:          Applications/Productivity
License:        GPLv3+
URL:            http://do.davebsd.com
Source0:        http://edge.launchpad.net/do-plugins/0.8/%{version}/+download/%{name}-%{version}.tar.gz
# Local patch to put the plugins in the correct directory
#Patch0: gnome-do-plugins-plugindir.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  mono-devel ndesk-dbus-glib-devel gnome-do-devel
BuildRequires:  gnome-sharp-devel gtk-sharp2-devel gnome-desktop-sharp-devel
BuildRequires:  gnome-keyring-sharp-devel monodevelop mono-addins-devel
BuildRequires:  notify-sharp-devel
BuildRequires:  intltool
# Needed because the patch touches Makefile.am
BuildRequires: automake
Requires:       gnome-do

# ppc* not supported: needs monodevelop which is not built for ppc*
ExclusiveArch:  %ix86 x86_64 ia64 armv4l sparc alpha

%description
GNOME Do allows you to quickly search for many objects present in your
GNOME desktop environment (applications, Evolution contacts, Firefox
bookmarks, files, artists and albums in Rhythmbox, Pidgin buddies) and
perform commonly used commands on those objects (Run, Open, Email,
Chat, Play, etc.).

This package contains various plugins for GNOME Do.

%package banshee
Summary:        gnome-do plugin for banshee
Group:          Applications/Productivity
BuildRequires:  banshee-devel
BuildRequires:  banshee
Requires:       gnome-do >= %{version}
Requires:       banshee
Requires:       gnome-do-plugins = %{version}

%description banshee
gnone-do plugins for banshee

%package bibtex
Summary:        gnome-do plugin for bibtex
Group:          Applications/Productivity
Requires:       gnome-do >= %{version}
Requires:       gnome-do-plugins = %{version}

%description bibtex
gnome-do plugins for bibtex

%package clawsmail
Summary:        gnome-do-plugins for clawsmail
Group:          Applications/Productivity
Requires:       gnome-do >= %{version} claws-mail
Requires:       gnome-do-plugins = %{version}

%description clawsmail
gnome-do plugins for clawsmail

%package epiphany
Summary:        gnome-do-plugins for epiphany
Group:          Applications/Productivity
Requires:       gnome-do >= %{version} epiphany
Requires:       gnome-do-plugins = %{version}

%description epiphany
gnome-do plugins for epiphany

%package evolution
Summary:        gnome-do-plugins for evolution
Group:          Applications/Productivity
BuildRequires:  evolution-sharp-devel
Requires:       evolution-sharp
Requires:       gnome-do >= %{version} evolution
Requires:       gnome-do-plugins = %{version}

%description evolution
gnome-do plugins for evolution

%package eog
Summary:        gnome-do-plugins for Eye of Gnome
Group:          Applications/Productivity
Requires:       gnome-do >= %{version} eog
Requires:       gnome-do-plugins = %{version}

%description eog
gnome-do plugins for Eye of Gnome

%package firefox
Summary:        gnome-do-plugins for firefox
Group:          Applications/Productivity
Requires:       gnome-do >= %{version} firefox
Requires:       gnome-do-plugins = %{version}

%description firefox
gnome-do plugins for firefox 

%package flickr
Summary:        gnome-do-plugins for flickr
Group:          Applications/Productivity
BuildRequires:  flickrnet-devel
Requires:       gnome-do >= %{version} flickrnet
Requires:       gnome-do-plugins = %{version}

%description flickr
gnome-do plugins for flickr

%package pidgin
Summary:        gnome-do-plugins for pidgin
Group:          Applications/Productivity
Requires:       gnome-do >= %{version} pidgin
Requires:       gnome-do-plugins = %{version}

%description pidgin
gnome-do plugins for pidgin 

%package rhythmbox
Summary:        gnome-do-plugins for rhythmbox
Group:          Applications/Productivity
Requires:       gnome-do >= %{version} rhythmbox
Requires:       gnome-do-plugins = %{version}

%description rhythmbox
gnome-do plugins for rhythmbox

%package tomboy
Summary:        gnome-do-plugins for tomboy
Group:          Applications/Productivity
Requires:       gnome-do >= %{version} tomboy
Requires:       gnome-do-plugins = %{version}

%description tomboy
gnome-do plugins for tomboy 

%package thunderbird
Summary:        gnome-do-plugins for thunderbird
Group:          Applications/Productivity
Requires:       gnome-do >= %{version} thunderbird
Requires:       gnome-do-plugins = %{version}

%description thunderbird
gnome-do plugins for thunderbird

%package tasque
Summary:        gnome-do-plugins for tasque 
Group:          Applications/Productivity
Requires:       gnome-do >= %{version} tasque
Requires:       gnome-do-plugins = %{version}

%description tasque
gnome-do plugins for tasque

%package vinagre
Summary:        gnome-do-plugins for vinagre
Group:          Applications/Productivity
Requires:       gnome-do >= %{version} vinagre
Requires:       gnome-do-plugins = %{version}

%description vinagre
gnome-do plugins for vinagre


%prep
%setup -q
#patch0 -p1 -b .pldir
# build.rules.mk is imported into 70+ Makefile.in's
# by Makefile.am.  Run autoreconf to regenerate the
# Makefile.in's 
autoreconf -i

%build
%configure 
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# This isn't the best solution.  We want to use the system library that's
# installed on the end-user system instead of copying one in at build time.
# Maybe a better solution would be to add %{_libdir}/banshee-1/ to the MONO_PATH
# in %{_bindir}/gnome-do somehow.
ln -sf %{_libdir}/banshee-1/Banshee.CollectionIndexer.dll %{buildroot}%{_libdir}/gnome-do/plugins
rm -rf %{buildroot}%{_datadir}/gnome-do/plugins/Banshee.CollectionIndexer.dll

# Remove Bundled Libraries and the plugins that depend on them
rm -rf %{buildroot}%{_datadir}/gnome-do/plugins/Google*
rm -rf %{buildroot}%{_libdir}/gnome-do/plugins/*YouTube*
rm -rf %{buildroot}%{_libdir}/gnome-do/plugins/*GoogleCalendar*
rm -rf %{buildroot}%{_libdir}/gnome-do/plugins/*GoogleContacts*
rm -rf %{buildroot}%{_libdir}/gnome-do/plugins/*GoogleDocs*

%find_lang %name

%clean
rm -rf %{buildroot}

%files banshee
%defattr(-, root, root,-)
%{_libdir}/gnome-do/plugins/*Banshee*

%files bibtex
%defattr(-, root, root,-)
%{_libdir}/gnome-do/plugins/*Bibtex*

%files clawsmail
%defattr(-, root, root,-)
%{_libdir}/gnome-do/plugins/*ClawsMail*

%files epiphany
%defattr(-, root, root,-)
%{_libdir}/gnome-do/plugins/*Epiphany*

%files evolution
%defattr(-, root, root,-)
%{_libdir}/gnome-do/plugins/*Evolution*

%files eog
%defattr(-, root, root,-)
%{_libdir}/gnome-do/plugins/EOG*

%files firefox
%defattr(-, root, root,-)
%{_libdir}/gnome-do/plugins/*Firefox*

%files flickr
%defattr(-, root, root,-)
%{_libdir}/gnome-do/plugins/*Flickr*

%files pidgin
%defattr(-, root, root,-)
%{_libdir}/gnome-do/plugins/*Pidgin*

%files rhythmbox
%defattr(-, root, root,-)
%{_libdir}/gnome-do/plugins/*Rhythmbox*

%files tomboy
%defattr(-, root, root,-)
%{_libdir}/gnome-do/plugins/*Tomboy*

%files thunderbird
%defattr(-, root, root,-)
%{_libdir}/gnome-do/plugins/*Thunderbird*

%files tasque
%defattr(-, root, root,-)
%{_libdir}/gnome-do/plugins/*Tasque*

%files vinagre
%defattr(-, root, root,-)
%{_libdir}/gnome-do/plugins/*Vinagre*

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING AUTHORS COPYRIGHT
%exclude %{_libdir}/gnome-do/plugins/*Banshee*
%exclude %{_libdir}/gnome-do/plugins/*Bibtex*
%exclude %{_libdir}/gnome-do/plugins/*ClawsMail*
%exclude %{_libdir}/gnome-do/plugins/*Epiphany*
%exclude %{_libdir}/gnome-do/plugins/*Evolution*
%exclude %{_libdir}/gnome-do/plugins/EOG*
%exclude %{_libdir}/gnome-do/plugins/*Firefox*
%exclude %{_libdir}/gnome-do/plugins/*Flickr*
%exclude %{_libdir}/gnome-do/plugins/*Pidgin*
%exclude %{_libdir}/gnome-do/plugins/*Rhythmbox*
%exclude %{_libdir}/gnome-do/plugins/*Tomboy*
%exclude %{_libdir}/gnome-do/plugins/*Thunderbird*
%exclude %{_libdir}/gnome-do/plugins/*Tasque*
%exclude %{_libdir}/gnome-do/plugins/*Vinagre*
%{_libdir}/gnome-do/plugins/*

%changelog
* Thu Aug 20 2009 Michel Salim <salimma@fedoraproject.org> - 0.8.2-1
- Update to 0.8.2

* Thu Jul 30 2009 Juan Rodriguez <nushio@fedoraproject.org> 0.8.1-7
- Fixes evolution plugin

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jul 20 2009 Juan Rodriguez <nushio@fedoraproject.org> 0.8.1-5
- Fixes bibtex dependency

* Thu Jul 16 2009 Juan Rodriguez <nushio@fedoraproject.org> 0.8.1-4
- Subpackages now require gnome-do-plugins.  

* Thu Jul 16 2009 Toshio Kuratomi<toshio@fedoraproject.org> 0.8.1-3
- Patch to get plugins to install to %%{_libdir}
- Remove bundled libraries

* Wed Jul 15 2009 Juan Rodriguez <nushio@fedoraproject.org> 0.8.1-2
- Cleaned spec from tabs
- Updated license to GPLv3+
- Requires: gnome-do 
- gnome-do-plugins no longer owns the plugins folder

* Thu Jun 18 2009 Juan Rodriguez <nushio@fedoraproject.org> 0.8.1-1
- Bump to upstream 0.8.1
- Removed patch0 as its no longer needed

* Mon Apr 06 2009 Huzaifa Sidhpurwala <huzaifas@redhat.com> 0.8.0.1-1
- Bump to upstream 0.8.0.1
- Split into sub-rpms for individual plugins
- Add patch for 0.8.0.1 to built.
- Some changes for packaging standard compliance

* Mon Feb 24 2009 Paul Lange <palango@gmx.de> 0.8.0-1
- Initial packaging

